USRP Hardware Driver and USRP Manual: uhd::stream_cmd_t Struct Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
uhd::stream_cmd_t Struct Reference

`#include <uhd/types/stream_cmd.hpp>`

## Public Types
enum | stream_mode_t { STREAM_MODE_START_CONTINUOUS = int('a') , STREAM_MODE_STOP_CONTINUOUS = int('o') , STREAM_MODE_NUM_SAMPS_AND_DONE = int('d') , STREAM_MODE_NUM_SAMPS_AND_MORE = int('m') }

## Public Member Functions
| stream_cmd_t (const stream_mode_t &stream_mode)

## Public Attributes
enum uhd::stream_cmd_t::stream_mode_t | stream_mode
uint64_t | num_samps
bool | stream_now
time_spec_t | time_spec

## Detailed Description

Command struct for configuration and control of streaming:

A stream command defines how the device sends samples to the host. Streaming is controlled by submitting a stream command to the rx dsp. Granular control over what the device streams to the host can be achieved through submission of multiple (carefully-crafted) commands.

The mode parameter controls how streaming is issued to the device:

- "Start continuous" tells the device to stream samples indefinitely.
- "Stop continuous" tells the device to end continuous streaming.
- "Num samps and done" tells the device to stream num samps and to not expect a future stream command for contiguous samples.
- "Num samps and more" tells the device to stream num samps and to expect a future stream command for contiguous samples.

The stream now parameter controls when the stream begins. When true, the device will begin streaming ASAP. When false, the device will begin streaming at a time specified by time_spec.

Note: When a radio runs at multiple samples per clock cycle, it may not be possible to request samples at any given time, and `num_samps` might have to be an integer multiple of SPC.

## Member Enumeration Documentation

## ◆ stream_mode_t

enum uhd::stream_cmd_t::stream_mode_t

Enumerator
STREAM_MODE_START_CONTINUOUS |
STREAM_MODE_STOP_CONTINUOUS |
STREAM_MODE_NUM_SAMPS_AND_DONE |
STREAM_MODE_NUM_SAMPS_AND_MORE |

## Constructor & Destructor Documentation

## ◆ stream_cmd_t()

uhd::stream_cmd_t::stream_cmd_t | ( | const stream_mode_t & | stream_mode | ) |

## Member Data Documentation

## ◆ num_samps

uint64_t uhd::stream_cmd_t::num_samps

## ◆ stream_mode

enum uhd::stream_cmd_t::stream_mode_t uhd::stream_cmd_t::stream_mode

## ◆ stream_now

bool uhd::stream_cmd_t::stream_now

## ◆ time_spec

time_spec_t uhd::stream_cmd_t::time_spec

The documentation for this struct was generated from the following file:

- stream_cmd.hpp